## gpaste 3.42.6

=== debian/changelog ===
gpaste (3.42.6-1) unstable; urgency=medium

  * New upstream version 3.42.6
  * Allow installing with gnome-shell 42 (patch and depends).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Mar 2022 23:00:31 +0100

gpaste (3.42.2-1) unstable; urgency=medium

  * New upstream version 3.42.2

 -- Jérémy Lal <kapouer@melix.org>  Thu, 09 Dec 2021 15:47:41 +0100

gpaste (3.42.1-1) unstable; urgency=medium

  * New upstream version 3.42.1
  * Standards-Version 4.6.0.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Nov 2021 19:05:41 +0100

gpaste (3.42.0-4) unstable; urgency=medium

  * Extension should Depends: gnome-shell. Closes: #996700

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Oct 2021 19:23:36 +0200

gpaste (3.42.0-3) unstable; urgency=medium

  * Fix depends gnome-shell 41 << 42

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Oct 2021 18:02:13 +0200

gpaste (3.42.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #996058). 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Oct 2021 11:45:37 +0200

gpaste (3.42.0-1) experimental; urgency=medium

  * New upstream version 3.42.0
  * Depends: gnome-shell 3.41 (Closes: #996058).

 -- Jérémy Lal <kapouer@melix.org>  Sun, 10 Oct 2021 22:39:41 +0200

=== debian/control ===
Source: gpaste
Section: gnome
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Conflicts:
 pkgconf (<< 1.3)
Build-Depends:
 debhelper-compat (= 12),
 appstream-util (>= 0.7.4),
 libappstream-glib-dev,
 intltool,
 pkg-config (>= 0.29~),
 gnome-control-center-dev,
 gobject-introspection (>= 1.48.0~),
 libgirepository1.0-dev (>= 1.48.0~),
 libglib2.0-dev (>= 2.58.0~),
 libgtk-3-dev (>= 3.24),
 libxml2-dev,
 libxcb-keysyms1-dev,
 libxcb-xtest0-dev,
 libdbus-1-dev,
 libxtst-dev,
 libclutter-1.0-dev,
 valac (>= 0.32)
Build-Depends-Indep:
 libgjs-dev (>= 1.54.0)
Standards-Version: 4.6.0.1
Homepage: https://github.com/Keruspe/GPaste
Vcs-Git: https://salsa.debian.org/debian/gpaste.git
Vcs-Browser: https://salsa.debian.org/debian/gpaste

Package: gpaste
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Clipboard management system for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the command-line tools, the D-Bus service, the
 GNOME Control Center key bindings, and desktop/appdata files.

Package: libgpaste13
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Clipboard management system for GNOME - library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the shared library used by gpaste.

Package: libgpaste-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: libgpaste6
Replaces: libgpaste6
Description: Clipboard management system for GNOME - shared files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the common files, such as translations.

Package: libgpaste-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgpaste13 (= ${binary:Version}),
 gir1.2-gpaste-1.0 (= ${binary:Version}),
 pkg-config,
 libglib2.0-dev (>= 2.56.0~)
Provides: libgpaste2-dev, libgpaste3-dev, libgpaste4-dev, libgpaste6-dev
Conflicts: libgpaste2-dev, libgpaste3-dev, libgpaste4-dev, libgpaste6-dev
Replaces: libgpaste6-dev
Description: Clipboard management system for GNOME - development files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains headers and libraries for developing applications
 that use GPaste to manage the clipboard.

Package: gir1.2-gpaste-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Provides: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
Conflicts: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
Replaces: gir1.2-gpaste-6.0
Description: GObject introspection data for the libgpaste13 library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains introspection data for the libgpaste13 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gnome-shell-extension-gpaste
Depends: ${misc:Depends},
 gnome-shell (>= 41), gnome-shell (<< 43~),
 gpaste (>= ${source:Version}),
 gir1.2-gpaste-1.0 (>= ${source:Version})
Replaces: gnome-shell-extensions-gpaste (<< 3.38.3~)
Breaks: gnome-shell-extensions-gpaste (<< 3.38.3~)
Architecture: all
Description: GPaste extension for GNOME Shell
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the gnome-shell extension.
 .
 Please note that the extension must be manually enabled, for example
 using gnome-tweak-tool.

Package: gnome-shell-extensions-gpaste
Depends: gnome-shell-extension-gpaste, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

## gpaste 43.0

=== debian/changelog ===
gpaste (43.0-2) unstable; urgency=medium

  * B-D: desktop-file-utils

 -- Jérémy Lal <kapouer@melix.org>  Mon, 03 Oct 2022 13:08:01 +0200

gpaste (43.0-1) unstable; urgency=medium

  * New upstream version 43.0
  * Refresh patches
  * B-D: libgcr-3-dev, update-desktop-database

 -- Jérémy Lal <kapouer@melix.org>  Mon, 03 Oct 2022 09:43:23 +0200

gpaste (42.1-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update patch to declare compatible with gnome-shell 43
  * debian/control: Set maximum gnome-shell to 43
  * Cherry-pick patch for GNOME 43 compatibility

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Aug 2022 12:29:51 +0200

gpaste (42.1-5) unstable; urgency=medium

  * Depends libgpaste-2-common

 -- Jérémy Lal <kapouer@melix.org>  Tue, 09 Aug 2022 12:52:31 +0200

gpaste (42.1-4) unstable; urgency=medium

  * libgpaste2-common breaks libgpaste-common (Closes: #1014751)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Jul 2022 06:42:20 +0200

gpaste (42.1-3) unstable; urgency=medium

  * Move back libgjs-dev into Build-Depends (Closes: #1011614).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 25 May 2022 14:16:41 +0200

gpaste (42.1-2) unstable; urgency=medium

  * copyright: CC-BY-SA-3.0 for appdata xml file (Closes: #1010901)
  * Remove useless Build-Dependencies
  * Conflicts and replaces gpaste
  * Provides/Depends gtk3/gtk4 typelibs
  * Override missing libc, gtk use glib

 -- Jérémy Lal <kapouer@melix.org>  Tue, 24 May 2022 10:34:04 +0200

gpaste (42.1-1) experimental; urgency=medium

  * New upstream version 42.1
  * Upstream renamed it gpaste-2
  * Switched to meson build system

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 May 2022 14:55:26 +0200

=== debian/control ===
Source: gpaste
Section: gnome
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper-compat (= 12),
 meson,
 desktop-file-utils,
 libappstream-glib-dev,
 gnome-control-center-dev,
 gobject-introspection (>= 1.48.0~),
 libadwaita-1-dev (>= 1.1.0~),
 libgirepository1.0-dev (>= 1.48.0~),
 libglib2.0-dev (>= 2.70.0~),
 libgtk-3-dev (>= 3.24.0~),
 libgtk-4-dev (>= 4.6.0~),
 libdbus-1-dev,
 libclutter-1.0-dev,
 libgcr-3-dev,
 libgjs-dev (>= 1.54.0)
Standards-Version: 4.6.0.1
Homepage: https://github.com/Keruspe/GPaste
Vcs-Git: https://salsa.debian.org/debian/gpaste.git
Vcs-Browser: https://salsa.debian.org/debian/gpaste

Package: gpaste-2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Conflicts: gpaste
Replaces: gpaste
Description: Clipboard management system for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the command-line tools, the D-Bus service, the
 GNOME Control Center key bindings, and desktop/appdata files.

Package: libgpaste-2
Section: libs
Architecture: any
Replaces: libgpaste13
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgpaste-2-common
Description: Clipboard management system for GNOME - library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the shared library used by gpaste.

Package: libgpaste-2-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: libgpaste-common
Replaces: libgpaste-common
Description: Clipboard management system for GNOME - shared files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the common files, such as translations.

Package: libgpaste-2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgpaste-2 (= ${binary:Version}),
 gir1.2-gpaste-2 (= ${binary:Version}),
 gir1.2-gpastegtk-3,
 gir1.2-gpastegtk-4,
 pkg-config,
 libglib2.0-dev (>= 2.56.0~)
Conflicts: libgpaste-dev
Replaces: libgpaste-dev
Description: Clipboard management system for GNOME - development files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains headers and libraries for developing applications
 that use GPaste to manage the clipboard.

Package: gir1.2-gpaste-2
Section: introspection
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Provides: gir1.2-gpastegtk-3, gir1.2-gpastegtk-4
Conflicts: gir1.2-gpaste-1.0
Replaces: gir1.2-gpaste-1.0
Description: GObject introspection data for the libgpaste-2 library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gnome-shell-extension-gpaste
Depends: ${misc:Depends},
 gnome-shell (>= 41), gnome-shell (<< 44~),
 gpaste-2 (>= ${source:Version}),
 gir1.2-gpaste-2 (>= ${source:Version})
Replaces: gnome-shell-extensions-gpaste
Breaks: gnome-shell-extensions-gpaste
Architecture: all
Description: GPaste extension for GNOME Shell
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the gnome-shell extension.
 .
 Please note that the extension must be manually enabled, for example
 using gnome-tweak-tool.

## gpaste 43.1

=== meson_options.txt ===
option('bash-completion', type: 'boolean', value: true, description: 'install bash completion files')
option('dbus-services-dir', type: 'string', value: '', description: 'path to the dbus services dir')
option('introspection', type: 'boolean', value: true, description: 'build GIR data')
option('control-center-keybindings-dir', type: 'string', value: '', description: 'path to where gnome-control-center stores its keybindings')
option('gcr3', type: 'boolean', value: true, description: 'Use GCR 3 instead of GCR 4 (currently unstable)')
option('gnome-shell', type: 'boolean', value: true, description: 'install the gnome-shell extension')
option('systemd', type: 'boolean', value: true, description: 'install the systemd unit')
option('systemd-user-unit-dir', type: 'string', value: '', description: 'path to where systemd stores its user units')
option('vapi', type: 'boolean', value: true, description: 'build vala bindings')
option('x-keybinder', type: 'boolean', value: true, description: 'build the x keybinder')
option('zsh-completion', type: 'boolean', value: true, description: 'install zsh completion files')

=== debian/changelog ===
gpaste (43.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update patch to declare compatibility with GNOME Shell 44; drop 42
  * debian/control: Update gnome-shell dependency versions
    to match the extension's metadata

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Feb 2023 10:45:26 +0100

gpaste (43.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgpaste-2-common: Add Multi-Arch: foreign.
    + gir1.2-gpaste-2: Add Multi-Arch: same.
  * Bump debhelper from old 12 to 13.
  * Add upstream metadata fields

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Jan 2023 11:33:23 +0100

gpaste (43.1-1) unstable; urgency=medium

  * New upstream version 43.1
  * Standards-Version: 4.6.2

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Jan 2023 11:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
  desktop-file-utils,
  libappstream-glib-dev,
@@ -18,7 +18,7 @@
  libclutter-1.0-dev,
  libgcr-3-dev,
  libgjs-dev (>= 1.54.0)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste.git
 Vcs-Browser: https://salsa.debian.org/debian/gpaste
@@ -58,6 +58,7 @@
 Depends: ${misc:Depends}
 Breaks: libgpaste-common
 Replaces: libgpaste-common
+Multi-Arch: foreign
 Description: Clipboard management system for GNOME - shared files
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -94,6 +95,7 @@
 Provides: gir1.2-gpastegtk-3, gir1.2-gpastegtk-4
 Conflicts: gir1.2-gpaste-1.0
 Replaces: gir1.2-gpaste-1.0
+Multi-Arch: same
 Description: GObject introspection data for the libgpaste-2 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -104,7 +106,7 @@
 
 Package: gnome-shell-extension-gpaste
 Depends: ${misc:Depends},
- gnome-shell (>= 41), gnome-shell (<< 44~),
+ gnome-shell (>= 43~), gnome-shell (<< 45~),
  gpaste-2 (>= ${source:Version}),
  gir1.2-gpaste-2 (>= ${source:Version})
 Replaces: gnome-shell-extensions-gpaste
@@ -119,4 +121,3 @@
  .
  Please note that the extension must be manually enabled, for example
  using gnome-tweak-tool.
-

## gpaste 44.1

=== debian/changelog ===
gpaste (44.1-2ubuntu1) mantic; urgency=medium

  * Drop gnome-shell-extension-gpaste: Incompatible with GNOME Shell 45
    (LP: #2031918)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 10:54:26 -0400

gpaste (44.1-2) unstable; urgency=medium

  * Drop useless clutter-1.0-dev. Closes: #1041624.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 25 Jul 2023 10:16:38 +0200

gpaste (44.1-1) experimental; urgency=medium

  * New upstream version 44.1. Closes: #1041325.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Jul 2023 00:04:27 +0200

gpaste (44.0-1) experimental; urgency=medium

  * New upstream version 44.0
  * Refresh patches
  * Patch to keep gcr at version 3
  * Breaks+Replaces: libgpaste6 (<< 3.24). Closes: #1038751

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Jun 2023 09:43:46 +0200

gpaste (43.2-1) unstable; urgency=medium

  * New upstream version 43.2
    Closes: #1035115. Avoid crash under heavy memory load
  * Use watch file from uscan examples 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 30 Apr 2023 10:56:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
@@ -15,7 +16,6 @@
  libgtk-3-dev (>= 3.24.0~),
  libgtk-4-dev (>= 4.6.0~),
  libdbus-1-dev,
- libclutter-1.0-dev,
  libgcr-3-dev,
  libgjs-dev (>= 1.54.0)
 Standards-Version: 4.6.2
@@ -56,8 +56,8 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: libgpaste-common
-Replaces: libgpaste-common
+Breaks: libgpaste-common, libgpaste6 (<< 3.24)
+Replaces: libgpaste-common, libgpaste6 (<< 3.24)
 Multi-Arch: foreign
 Description: Clipboard management system for GNOME - shared files
  GPaste manages clipboard history and allows easy access to it using
@@ -104,20 +104,20 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: gnome-shell-extension-gpaste
-Depends: ${misc:Depends},
- gnome-shell (>= 43~), gnome-shell (<< 45~),
- gpaste-2 (>= ${source:Version}),
- gir1.2-gpaste-2 (>= ${source:Version})
-Replaces: gnome-shell-extensions-gpaste
-Breaks: gnome-shell-extensions-gpaste
-Architecture: all
-Description: GPaste extension for GNOME Shell
- GPaste manages clipboard history and allows easy access to it using
- keyboard shortcuts, gnome-shell extension, command-line tools, gir
- bindings.
- .
- This package provides the gnome-shell extension.
- .
- Please note that the extension must be manually enabled, for example
- using gnome-tweak-tool.
+#Package: gnome-shell-extension-gpaste
+#Depends: ${misc:Depends},
+# gnome-shell (>= 43~), gnome-shell (<< 45~),
+# gpaste-2 (>= ${source:Version}),
+# gir1.2-gpaste-2 (>= ${source:Version})
+#Replaces: gnome-shell-extensions-gpaste
+#Breaks: gnome-shell-extensions-gpaste
+#Architecture: all
+#Description: GPaste extension for GNOME Shell
+# GPaste manages clipboard history and allows easy access to it using
+# keyboard shortcuts, gnome-shell extension, command-line tools, gir
+# bindings.
+# .
+# This package provides the gnome-shell extension.
+# .
+# Please note that the extension must be manually enabled, for example
+# using gnome-tweak-tool.

## gpaste 45

=== debian/changelog ===
gpaste (45-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:14:39 +0000

gpaste (45-2ubuntu4) noble; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1062118
  * Forward port of 44.1-2.1 fixes

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 19 Mar 2024 14:56:49 +0100

gpaste (45-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:47:04 +0000

gpaste (45-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:48:43 +0000

gpaste (45-2ubuntu1) noble; urgency=medium

  * Add patch to support GNOME Shell 46
  * Bump maximum GNOME Shell version to 46

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 11:31:02 -0500

gpaste (45-2) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Update minimum GNOME Shell version to 45 to match metadata.json

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Sep 2023 12:53:02 +0200

gpaste (45-1) experimental; urgency=medium

  * New upstream version 45 (Closes: #1052099)
  * Remove useless patches
  * Patch to lower gjs version requirement
  * Yet depends on latest gjs (>= 1.76.2)
  * Update symbols

 -- Jérémy Lal <kapouer@melix.org>  Sat, 23 Sep 2023 00:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  meson,
  desktop-file-utils,
@@ -17,7 +17,7 @@
  libgtk-4-dev (>= 4.6.0~),
  libdbus-1-dev,
  libgcr-3-dev,
- libgjs-dev (>= 1.54.0)
+ libgjs-dev (>= 1.76.2)
 Standards-Version: 4.6.2
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste.git
@@ -38,10 +38,12 @@
  This package contains the command-line tools, the D-Bus service, the
  GNOME Control Center key bindings, and desktop/appdata files.
 
-Package: libgpaste-2
+Package: libgpaste-2t64
+Provides: ${t64:Provides}
+Breaks: libgpaste-2 (<< ${source:Version})
 Section: libs
 Architecture: any
-Replaces: libgpaste13
+Replaces: libgpaste-2, libgpaste13
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgpaste-2-common
@@ -70,7 +72,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste-2 (= ${binary:Version}),
+ libgpaste-2t64 (= ${binary:Version}),
  gir1.2-gpaste-2 (= ${binary:Version}),
  gir1.2-gpastegtk-3,
  gir1.2-gpastegtk-4,
@@ -96,7 +98,7 @@
 Conflicts: gir1.2-gpaste-1.0
 Replaces: gir1.2-gpaste-1.0
 Multi-Arch: same
-Description: GObject introspection data for the libgpaste-2 library
+Description: GObject introspection data for the libgpaste-2t64 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
  bindings.
@@ -104,20 +106,20 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-#Package: gnome-shell-extension-gpaste
-#Depends: ${misc:Depends},
-# gnome-shell (>= 43~), gnome-shell (<< 45~),
-# gpaste-2 (>= ${source:Version}),
-# gir1.2-gpaste-2 (>= ${source:Version})
-#Replaces: gnome-shell-extensions-gpaste
-#Breaks: gnome-shell-extensions-gpaste
-#Architecture: all
-#Description: GPaste extension for GNOME Shell
-# GPaste manages clipboard history and allows easy access to it using
-# keyboard shortcuts, gnome-shell extension, command-line tools, gir
-# bindings.
-# .
-# This package provides the gnome-shell extension.
-# .
-# Please note that the extension must be manually enabled, for example
-# using gnome-tweak-tool.
+Package: gnome-shell-extension-gpaste
+Depends: ${misc:Depends},
+ gnome-shell (>= 45~), gnome-shell (<< 47~),
+ gpaste-2 (>= ${source:Version}),
+ gir1.2-gpaste-2 (>= ${source:Version})
+Replaces: gnome-shell-extensions-gpaste
+Breaks: gnome-shell-extensions-gpaste
+Architecture: all
+Description: GPaste extension for GNOME Shell
+ GPaste manages clipboard history and allows easy access to it using
+ keyboard shortcuts, gnome-shell extension, command-line tools, gir
+ bindings.
+ .
+ This package provides the gnome-shell extension.
+ .
+ Please note that the extension must be manually enabled, for example
+ using gnome-tweak-tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CHECK_HOME = $(CURDIR)/debian/tmp/home

CONFFLAGS := \
	-Dsystemd-user-unit-dir=/usr/lib/systemd/user \
	-Dintrospection=true \
	-Dvapi=false
%:
	dh $@

override_dh_auto_configure:
ifeq (gnome-shell-extension-gpaste,$(filter gnome-shell-extension-gpaste,$(shell dh_listpackages)))
	dh_auto_configure -- $(CONFFLAGS) \
		-Dgnome-shell=true
else
	dh_auto_configure -- $(CONFFLAGS) \
		-Dgnome-shell=false
endif

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p -m0700 $(CHECK_HOME)
	XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test
endif

## gpaste 45.1

=== debian/changelog ===
gpaste (45.1-2) unstable; urgency=medium

  * Okay to use gcr-4 now. Closes: #1082425

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Sep 2024 21:34:56 +0200

gpaste (45.1-1) unstable; urgency=medium

  * New upstream version 45.1
  * Refresh patches

  [ Jeremy Bícha ]
  * Move gjs to Build-Depends-Indep
  * Remove unused Build-Depends: libappstream-glib-dev

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Sep 2024 18:10:23 +0200

gpaste (45-5) unstable; urgency=medium

  * Fix build fix gcc14, thanks Adrian Bunk. Closes: #1078086.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 Aug 2024 22:59:12 +0200

gpaste (45-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Update for GNOME Shell 47

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 Aug 2024 19:43:19 +0200

gpaste (45-3) unstable; urgency=high

  * Release to unstable (Closes: #1076237)
  * Revert t64 suffix.
  * B-D pkgconf

 -- Jérémy Lal <kapouer@melix.org>  Tue, 16 Jul 2024 10:58:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  meson,
  desktop-file-utils,
- libappstream-glib-dev,
  gnome-control-center-dev,
  gobject-introspection (>= 1.48.0~),
  libadwaita-1-dev (>= 1.1.0~),
@@ -16,8 +14,8 @@
  libgtk-3-dev (>= 3.24.0~),
  libgtk-4-dev (>= 4.6.0~),
  libdbus-1-dev,
- libgcr-3-dev,
- libgjs-dev (>= 1.76.2)
+ libgcr-4-dev,
+Build-Depends-Indep: libgjs-dev (>= 1.76.2)
 Standards-Version: 4.6.2
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste.git
@@ -38,12 +36,11 @@
  This package contains the command-line tools, the D-Bus service, the
  GNOME Control Center key bindings, and desktop/appdata files.
 
-Package: libgpaste-2t64
-Provides: ${t64:Provides}
-Breaks: libgpaste-2 (<< ${source:Version})
+Package: libgpaste-2
+Breaks: libgpaste-2t64 (<< ${source:Version})
 Section: libs
 Architecture: any
-Replaces: libgpaste-2, libgpaste13
+Replaces: libgpaste-2t64, libgpaste13
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgpaste-2-common
@@ -72,11 +69,11 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste-2t64 (= ${binary:Version}),
+ libgpaste-2 (= ${binary:Version}),
  gir1.2-gpaste-2 (= ${binary:Version}),
  gir1.2-gpastegtk-3,
  gir1.2-gpastegtk-4,
- pkg-config,
+ pkgconf,
  libglib2.0-dev (>= 2.56.0~)
 Conflicts: libgpaste-dev
 Replaces: libgpaste-dev
@@ -98,7 +95,7 @@
 Conflicts: gir1.2-gpaste-1.0
 Replaces: gir1.2-gpaste-1.0
 Multi-Arch: same
-Description: GObject introspection data for the libgpaste-2t64 library
+Description: GObject introspection data for the libgpaste-2 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
  bindings.
@@ -108,7 +105,7 @@
 
 Package: gnome-shell-extension-gpaste
 Depends: ${misc:Depends},
- gnome-shell (>= 45~), gnome-shell (<< 47~),
+ gnome-shell (>= 45~), gnome-shell (<< 48~),
  gpaste-2 (>= ${source:Version}),
  gir1.2-gpaste-2 (>= ${source:Version})
 Replaces: gnome-shell-extensions-gpaste

## gpaste 45.2

=== debian/changelog ===
gpaste (45.2-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096059)
  * Bump maximum GNOME Shell to 48

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Feb 2025 12:39:56 +0100

gpaste (45.2-1) unstable; urgency=medium

  * New upstream version 45.2
  * Drop applied patch

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 Oct 2024 23:17:03 +0200

=== debian/control ===
--- 
+++ 
@@ -105,7 +105,7 @@
 
 Package: gnome-shell-extension-gpaste
 Depends: ${misc:Depends},
- gnome-shell (>= 45~), gnome-shell (<< 48~),
+ gnome-shell (>= 45~), gnome-shell (<< 49~),
  gpaste-2 (>= ${source:Version}),
  gir1.2-gpaste-2 (>= ${source:Version})
 Replaces: gnome-shell-extensions-gpaste

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/Keruspe/GPaste/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## gpaste 45.3

=== debian/changelog ===
gpaste (45.3-2) unstable; urgency=medium

  * Set gnome team as maintainer, but not yet moved to salsa
    gnome-team.
  * patch: add support for gnome 49. Closes: #1115528
  * Update watch file to version 5
  * Drop revision on some symbols file

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Sep 2025 21:36:43 +0200

gpaste (45.3-1) unstable; urgency=medium

  * New upstream version 45.3. Closes: #1100808, #1103903.
  * Standards-Version 4.7.2, no change
  * Drop applied patch for gnome 48 version support
  * Update libgpaste-2.symbols for version 45.3.

  [ Jeremy Bícha ]
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jérémy Lal <kapouer@melix.org>  Tue, 22 Apr 2025 19:58:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Jérémy Lal <kapouer@melix.org>
+Uploaders: Jérémy Lal <kapouer@melix.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  meson,
@@ -16,7 +17,7 @@
  libdbus-1-dev,
  libgcr-4-dev,
 Build-Depends-Indep: libgjs-dev (>= 1.76.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste.git
 Vcs-Browser: https://salsa.debian.org/debian/gpaste
@@ -105,7 +106,8 @@
 
 Package: gnome-shell-extension-gpaste
 Depends: ${misc:Depends},
- gnome-shell (>= 45~), gnome-shell (<< 49~),
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
  gpaste-2 (>= ${source:Version}),
  gir1.2-gpaste-2 (>= ${source:Version})
 Replaces: gnome-shell-extensions-gpaste

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,10 @@
 	mkdir -p -m0700 $(CHECK_HOME)
 	XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test
 endif
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; \
+		print(min(int(x) for x in json.load(open('src/gnome-shell/metadata.json.in', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; \
+		print(1+max(int(x) for x in json.load(open('src/gnome-shell/metadata.json.in', 'rt'))['shell-version']))")

=== debian/watch ===
Version: 5

Template: Github
Owner: Keruspe
Project: GPaste
